=== debian/control ===
Source: ros-lunar-swri-route-util
Section: misc
Priority: extra
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-marti-common-msgs, ros-lunar-marti-nav-msgs, ros-lunar-roscpp, ros-lunar-swri-geometry-util, ros-lunar-swri-math-util, ros-lunar-swri-transform-util, ros-lunar-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-swri-route-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-marti-common-msgs, ros-lunar-marti-nav-msgs, ros-lunar-roscpp, ros-lunar-swri-geometry-util, ros-lunar-swri-math-util, ros-lunar-swri-transform-util, ros-lunar-visualization-msgs
Description: This library provides functionality to simplify working with the navigation messages defined in marti_nav_msgs.
